%global momorel 1

Summary: A simulator for Microchip (TM) PIC (TM) microcontrollers
Name: gpsim
Version: 0.24.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.dattalo.com/gnupic/gpsim.html
Group: Development/Debuggers
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
# Patch1: gpsim-0.22.0-gcc43.patch
# Patch2: gpsim-0.22.0-gcc44.patch
# I could built under gcc 4.3 with no patch.
# If you couldn't built under gcc 4.4 or later, please re-make patch.
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel
BuildRequires: gtk+extra-devel
BuildRequires: freetype-devel
BuildRequires: flex
BuildRequires: readline-devel

%description
gpsim is a simulator for Microchip (TM) PIC (TM) microcontrollers.
It supports most devices in Microchip's 12-bit, 14bit, and 16-bit
core families. In addition, gpsim supports dynamically loadable
modules such as LED's, LCD's, resistors, etc. to extend the simulation
environment beyond the PIC.

%package devel
Summary: Header files and static libraries from gpsim
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on gpsim.

%prep
%setup -q
# %%patch1 -p1 -b .gcc43~
# %%patch2 -p1 -b .gcc44~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# clean up doc
find examples -name "Makefile*" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog HISTORY
%doc INSTALL NEWS PROCESSORS README* TODO
%doc doc/gpsim.lyx doc/gpsim.pdf examples
%{_bindir}/gpsim
%{_libdir}/libgpsim*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/eXdbm
%{_includedir}/gpsim
%{_libdir}/libgpsim*.a
%{_libdir}/libgpsim*.so

%changelog
* Fri Sep  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.24.0-1m)
- version 0.24.0

* Fri May  1 2009 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.23.0-1m)
- update to 0.23.0
- remove gcc43 gcc44 patch

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.22.0-8m)
- update gcc44 patch

* Sun Jan 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.22.0-7m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.22.0-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22.0-5m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.22.0-4m)
- %%NoSource -> NoSource

* Fri Jan  4 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.22.0-3m)
- add patch for gcc43

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22.0-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22.0-1m)
- initial package for ktechlab-0.3
